<?php
/**
 * Copyright (c) 2016 Serhii Borodai <clarifying@gmail.com>.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 *  all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *
 *
 */

namespace App\Entity\AmSystem;

use App\Entity\Common;


/**
 * Class Group
 * @package App\Entity
 */
class Group extends Common
{
    /* active */
    public function getActive()
    {
        return $this->active;
    }
    public function setActive($active)
    {
        $this->active = $active;
        return $this;
    }
    
    /* checksum */
    public function getChecksum()
    {
        return $this->checksum;
    }
    public function setChecksum($checksum)
    {
        $this->checksum = $checksum;
        return $this;
    }
    
    /* title */
    public function getTitle()
    {
        return $this->title;
    }
    public function setTitle($title)
    {
        $this->title = $title;
        return $this;
    }
    
    /* user_id */
    public function getUserId()
    {
        return $this->userId;
    }
    public function setUserId($userId)
    {
        $this->userId = $userId;
        return $this;
    }
    
    /* buy_type */
    public function getBuyType()
    {
        return $this->buyType;
    }
    public function setBuyType($buyType)
    {
        $this->buyType = $buyType;
        return $this;
    }
    
    /* target_action */
    public function getTargetAction()
    {
        return $this->targetAction;
    }
    public function setTargetAction($targetAction)
    {
        $this->targetAction = $targetAction;
        return $this;
    }
    
    /* price */
    public function getPrice()
    {
        return $this->price;
    }
    public function setPrice($price)
    {
        $this->price = $price;
        return $this;
    }
    
    /* order_sum */
    public function getOrderSum()
    {
        return $this->orderSum;
    }
    public function setOrderSum($orderSum)
    {
        $this->orderSum = $orderSum;
        return $this;
    }
    
    /* tracking_action */
    public function getTrackingAction()
    {
        return $this->trackingAction;
    }
    public function setTrackingAction($trackingAction)
    {
        $this->trackingAction = $trackingAction;
        return $this;
    }

    /* visitor_limit */
    public function getVisitorLimit()
    {
        return $this->visitorLimit;
    }
    public function setVisitorLimit($visitorLimit)
    {
        $this->visitorLimit = $visitorLimit;
        return $this;
    }
    
    /* money_limit */
    public function getMoneyLimit()
    {
        return $this->moneyLimit;
    }
    public function setMoneyLimit($moneyLimit)
    {
        $this->moneyLimit = $moneyLimit;
        return $this;
    }
    
    /* max_speed */
    public function getMaxSpeed()
    {
        return $this->maxSpeed;
    }
    public function setMaxSpeed($maxSpeed)
    {
        $this->maxSpeed = $maxSpeed;
        return $this;
    }
    
    /* targeting */
    public function getTargeting()
    {
        return $this->targeting;
    }
    public function setTargeting($targeting)
    {
        $this->targeting = $targeting;
        return $this;
    }
    
}